--- kde-workspace.spec.old	2012-09-02 18:15:05.126119885 +0300
+++ kde-workspace.spec	2012-09-02 18:17:21.147972184 +0300
@@ -12,7 +12,7 @@
 Summary: KDE Workspace
 Name:    kde-workspace
 Version: 4.9.0
-Release: 6%{?dist}
+Release: 7%{?dist}
 
 License: GPLv2
 URL:     https://projects.kde.org/projects/kde/kde-workspace
@@ -119,6 +119,10 @@
 Patch102: changeset_r9ee6a775d592ec3f105892c32c7576d6cdd7c210.diff
 Patch103: kde-workspace-4.9.1-qmlshutdownoptions.patch
 
+# kwin/oxygen windows group ordering fix.
+# #305443.
+Patch104: kde-workspace-4.9.0-kwin-order.patch
+
 ## plasma active patches
 # adapted version of wac-html-widgets.patch
 Patch153: kde-workspace-4.7.80-wac-html-widgets.patch
@@ -457,6 +461,7 @@
 %patch101 -p1 -b .taskmanager_attention
 %patch102 -p1 -b .kwin_qml_aurora
 %patch103 -p1 -b .qmlshutdown
+%patch104 -p1 -b .kwin-oxygen-ordering
 
 # plasma-active
 %patch153 -p1 -b .wac-html-widgets
@@ -1007,6 +1012,9 @@
 
 
 %changelog
+* Sun Sep 2 2012 Gilboa Davara <ltinkl@redhat.com> 4.9.0-7
+- Resolves KDE #305443 - Kwin window group ordering.
+  
 * Mon Aug 27 2012 Lukáš Tinkl <ltinkl@redhat.com> 4.9.0-6
 - Resolves #851887 - KDE Logout does not Suspend to RAM/Disk
   
